compact3
javax.xml.crypto

## Interface NodeSetData

- All Superinterfaces:
    Data

      public interface NodeSetData
      extends Data

  An abstract representation of a `Data` type containing a node-set. The type (class) and ordering of the nodes contained in the set are not defined by this class; instead that behavior should be defined by `NodeSetData` subclasses.
  Since:
    1.6

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterator` | `iterator()` Returns a read-only iterator over the nodes contained in this `NodeSetData` in document order.

- - ### Method Detail

    - #### iterator

          Iterator iterator()

      Returns a read-only iterator over the nodes contained in this `NodeSetData` in document order. Attempts to modify the returned iterator via the `remove` method throw `UnsupportedOperationException`.
      Returns:
        an `Iterator` over the nodes in this `NodeSetData` in document order

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.